/**
 * Copyright 2002, 2014 IBM Corp.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 *  Author: Sami Salkosuo, sami.salkosuo@fi.ibm.com
 */
package clenotes;

import java.util.List;
import java.util.Vector;
import org.eclipse.xtext.xbase.lib.Functions.Function0;
import org.eclipse.xtext.xbase.lib.util.ToStringHelper;

@SuppressWarnings("all")
public class Option {
  private String _name = null;
  
  public String getName() {
    return this._name;
  }
  
  public void setName(final String name) {
    this._name = name;
  }
  
  private String _description = null;
  
  public String getDescription() {
    return this._description;
  }
  
  public void setDescription(final String description) {
    this._description = description;
  }
  
  private boolean _mandatoryValue = false;
  
  public boolean isMandatoryValue() {
    return this._mandatoryValue;
  }
  
  public void setMandatoryValue(final boolean mandatoryValue) {
    this._mandatoryValue = mandatoryValue;
  }
  
  private List<String> _values = new Function0<List<String>>() {
    public List<String> apply() {
      Vector<String> _vector = new Vector<String>();
      return _vector;
    }
  }.apply();
  
  public List<String> getValues() {
    return this._values;
  }
  
  public void setValues(final List<String> values) {
    this._values = values;
  }
  
  public Option() {
  }
  
  /**
   * Return first value of option.
   */
  public String getValue() {
    String _xblockexpression = null;
    {
      List<String> _values = this.getValues();
      int _size = _values.size();
      boolean _greaterThan = (_size > 0);
      if (_greaterThan) {
        List<String> _values_1 = this.getValues();
        return _values_1.get(0);
      }
      _xblockexpression = (null);
    }
    return _xblockexpression;
  }
  
  public String toString() {
    ToStringHelper _toStringHelper = new ToStringHelper();
    String result = _toStringHelper.toString(this);
    return result;
  }
}
