/**
 * Copyright 2002, 2014 IBM Corp.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 *  Author: Sami Salkosuo, sami.salkosuo@fi.ibm.com
 */
package clenotes.utils;

/**
 * Extension methods.
 */
@SuppressWarnings("all")
public class ExtensionMethods {
  /**
   * Extension method to String. For a given string, returns string multplied by
   * itself for n times
   */
  public static String times(final String str, final int n) {
    int i = (-1);
    StringBuffer _stringBuffer = new StringBuffer();
    StringBuffer sb = _stringBuffer;
    int _plus = (i + 1);
    int _i = i = _plus;
    boolean _lessThan = (_i < n);
    boolean _while = _lessThan;
    while (_while) {
      sb.append(str);
      int _plus_1 = (i + 1);
      int _i_1 = i = _plus_1;
      boolean _lessThan_1 = (_i_1 < n);
      _while = _lessThan_1;
    }
    return sb.toString();
  }
  
  public static String ljust(final String str, final int width) {
    String _xblockexpression = null;
    {
      String _str = str;
      int len = str.length();
      boolean _lessThan = (len < width);
      if (_lessThan) {
        int _minus = (width - len);
        String _times = ExtensionMethods.times(" ", _minus);
        String _plus = (str + _times);
        _str = _plus;
      }
      _xblockexpression = (_str);
    }
    return _xblockexpression;
  }
}
